All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Resize
Geometry Transforms

Resize functions use scale factor automatically determined by the width and height ratios of input and output Region-of-Interest (ROI). More...

## GetResizeTiledSourceOffset

Helper function that can be used when tiling a destination image with a source image using multiple Resize calls.

oSrcRectROI and oDstRectROI widths and heights should remain unmodified even if they will overlap source and destination image sizes. oDstRectROI offsets should be set to the destination offset of the new tile. Resize function processing will stop when source or destination image sizes are reached, any unavailable source image pixels beyond source image size will be border replicated. There is no particular association assumed between source and destination image locations. The values of oSrcRectROI.x and oSrcRectROI.y are ignored during this function call.

NppStatus | nppiGetResizeTiledSourceOffset (NppiRect oSrcRectROI, NppiRect oDstRectROI, NppiPoint *pNewSrcRectOffset)

## Resize

Resizes images.

### Common parameters for nppiResize packed pixel functions include:

Parameters

  pSrc | Source-Image Pointer to origin of source image.
  nSrcStep | Source-Image Line Step.
  oSrcSize | Size in pixels of the entire source image.
  oSrcRectROI | Region of interest in the source image (may overlap source image size width and height).
  pDst | Destination-Image Pointer to origin of destination image.
  nDstStep | Destination-Image Line Step.
  oDstSize | Size in pixels of the entire destination image.
  oDstRectROI | Region of interest in the destination image (may overlap destination image size width and height).
  eInterpolation | The type of eInterpolation to perform resampling (16f versions do not support Lanczos interpolation).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Error Codes

### Common parameters for nppiResize planar pixel functions include:

Parameters

  pSrc | Source-Planar-Image Pointer Array (host memory array containing device memory image plane origin pointers).
  nSrcStep | Source-Image Line Step.
  oSrcSize | Size in pixels of the entire source image.
  oSrcRectROI | Region of interest in the source image (may overlap source image size width and height).
  pDst | Destination-Planar-Image Pointer Array (host memory array containing device memory image plane origin pointers).
  nDstStep | Destination-Image Line Step.
  oDstSize | Size in pixels of the entire destination image.
  oDstRectROI | Region of interest in the destination image (may overlap destination image size width and height).
  eInterpolation | The type of eInterpolation to perform resampling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Error Codes

NppStatus | nppiResize_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp8u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned image resize. More...
NppStatus | nppiResize_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp8u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp8u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned image resize. More...
NppStatus | nppiResize_8u_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp8u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp8u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned image resize. More...
NppStatus | nppiResize_8u_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp8u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp8u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned image resize not affecting alpha. More...
NppStatus | nppiResize_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp8u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_8u_P3R_Ctx (const Npp8u *pSrc[3], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp8u *pDst[3], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar image resize. More...
NppStatus | nppiResize_8u_P3R (const Npp8u *pSrc[3], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp8u *pDst[3], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_8u_P4R_Ctx (const Npp8u *pSrc[4], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp8u *pDst[4], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned planar image resize. More...
NppStatus | nppiResize_8u_P4R (const Npp8u *pSrc[4], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp8u *pDst[4], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned image resize. More...
NppStatus | nppiResize_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned image resize. More...
NppStatus | nppiResize_16u_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned image resize. More...
NppStatus | nppiResize_16u_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned image resize not affecting alpha. More...
NppStatus | nppiResize_16u_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16u *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16u_P3R_Ctx (const Npp16u *pSrc[3], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16u *pDst[3], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned planar image resize. More...
NppStatus | nppiResize_16u_P3R (const Npp16u *pSrc[3], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16u *pDst[3], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16u_P4R_Ctx (const Npp16u *pSrc[4], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16u *pDst[4], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned planar image resize. More...
NppStatus | nppiResize_16u_P4R (const Npp16u *pSrc[4], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16u *pDst[4], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16s *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed image resize. More...
NppStatus | nppiResize_16s_C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16s *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16s *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed image resize. More...
NppStatus | nppiResize_16s_C3R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16s *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16s *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed image resize. More...
NppStatus | nppiResize_16s_C4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16s *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16s *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed image resize not affecting alpha. More...
NppStatus | nppiResize_16s_AC4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16s *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16s_P3R_Ctx (const Npp16s *pSrc[3], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16s *pDst[3], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed planar image resize. More...
NppStatus | nppiResize_16s_P3R (const Npp16s *pSrc[3], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16s *pDst[3], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16s_P4R_Ctx (const Npp16s *pSrc[4], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16s *pDst[4], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed planar image resize. More...
NppStatus | nppiResize_16s_P4R (const Npp16s *pSrc[4], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16s *pDst[4], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16f_C1R_Ctx (const Npp16f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 1 channel 16-bit floating point image resize. More...
NppStatus | nppiResize_16f_C1R (const Npp16f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16f_C3R_Ctx (const Npp16f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 3 channel 16-bit floating point image resize. More...
NppStatus | nppiResize_16f_C3R (const Npp16f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_16f_C4R_Ctx (const Npp16f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit floating point image resize. More...
NppStatus | nppiResize_16f_C4R (const Npp16f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp16f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp32f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point image resize. More...
NppStatus | nppiResize_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp32f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp32f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point image resize. More...
NppStatus | nppiResize_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp32f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp32f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image resize. More...
NppStatus | nppiResize_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp32f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp32f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image resize not affecting alpha. More...
NppStatus | nppiResize_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp32f *pDst, int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_32f_P3R_Ctx (const Npp32f *pSrc[3], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp32f *pDst[3], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point planar image resize. More...
NppStatus | nppiResize_32f_P3R (const Npp32f *pSrc[3], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp32f *pDst[3], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)
NppStatus | nppiResize_32f_P4R_Ctx (const Npp32f *pSrc[4], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp32f *pDst[4], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point planar image resize. More...
NppStatus | nppiResize_32f_P4R (const Npp32f *pSrc[4], int nSrcStep, NppiSize oSrcSize, NppiRect oSrcRectROI, Npp32f *pDst[4], int nDstStep, NppiSize oDstSize, NppiRect oDstRectROI, int eInterpolation)

## Detailed Description

Resize functions use scale factor automatically determined by the width and height ratios of input and output Region-of-Interest (ROI).

This simplified function replaces the previous version which was deprecated in an earlier release. In this function the resize scale factor is automatically determined by the width and height ratios of oSrcRectROI and oDstRectROI. If either of those parameters intersect their respective image sizes then pixels outside the image size width and height will not be processed.

Resize supports the following interpolation modes:

* NPPI_INTER_NN
* NPPI_INTER_LINEAR
* NPPI_INTER_CUBIC
* NPPI_INTER_SUPER
* NPPI_INTER_LANCZOS
*

# Error Codes

The resize primitives return the following error codes:

        - ::NPP_RESIZE_NO_OPERATION_ERROR if either destination ROI width or
          height is less than 1 pixel.
        - ::NPP_INTERPOLATION_ERROR if eInterpolation has an illegal value.
        - ::NPP_SIZE_ERROR if source size width or height is less than 2 pixels.

## Function Documentation

NppStatus nppiGetResizeTiledSourceOffset | ( | NppiRect | oSrcRectROI,
|  | NppiRect | oDstRectROI,
|  | NppiPoint * | pNewSrcRectOffset
| ) |  |

Parameters

  oSrcRectROI | Region of interest in the source image (may overlap source image size width and height).
  oDstRectROI | Region of interest in the destination image (may overlap destination image size width and height).
  pNewSrcRectOffset | Pointer to host memory NppiPoint object that will contain the new source image ROI offset to be used in the nppiResize call to generate that tile.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Error Codes

NppStatus nppiResize_16f_C1R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16f_C1R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit floating point image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_16f_C3R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16f_C3R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit floating point image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_16f_C4R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16f_C4R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit floating point image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed image resize not affecting alpha.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_16s_P3R | ( | const Npp16s * | pSrc[3],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16s * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16s_P3R_Ctx | ( | const Npp16s * | pSrc[3],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16s * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed planar image resize.

For common parameter descriptions, see Common parameters for nppiResize planar pixel functions.

NppStatus nppiResize_16s_P4R | ( | const Npp16s * | pSrc[4],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16s * | pDst[4],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16s_P4R_Ctx | ( | const Npp16s * | pSrc[4],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16s * | pDst[4],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed planar image resize.

For common parameter descriptions, see Common parameters for nppiResize planar pixel functions.

NppStatus nppiResize_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned image resize not affecting alpha.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_16u_P3R | ( | const Npp16u * | pSrc[3],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16u_P3R_Ctx | ( | const Npp16u * | pSrc[3],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned planar image resize.

For common parameter descriptions, see Common parameters for nppiResize planar pixel functions.

NppStatus nppiResize_16u_P4R | ( | const Npp16u * | pSrc[4],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16u * | pDst[4],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_16u_P4R_Ctx | ( | const Npp16u * | pSrc[4],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp16u * | pDst[4],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned planar image resize.

For common parameter descriptions, see Common parameters for nppiResize planar pixel functions.

NppStatus nppiResize_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image resize not affecting alpha.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_32f_P3R | ( | const Npp32f * | pSrc[3],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp32f * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_32f_P3R_Ctx | ( | const Npp32f * | pSrc[3],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp32f * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point planar image resize.

For common parameter descriptions, see Common parameters for nppiResize planar pixel functions.

NppStatus nppiResize_32f_P4R | ( | const Npp32f * | pSrc[4],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp32f * | pDst[4],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_32f_P4R_Ctx | ( | const Npp32f * | pSrc[4],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp32f * | pDst[4],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point planar image resize.

For common parameter descriptions, see Common parameters for nppiResize planar pixel functions.

NppStatus nppiResize_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned image resize not affecting alpha.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned image resize.

For common parameter descriptions, see Common parameters for nppiResize packed pixel functions.

NppStatus nppiResize_8u_P3R | ( | const Npp8u * | pSrc[3],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_8u_P3R_Ctx | ( | const Npp8u * | pSrc[3],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar image resize.

For common parameter descriptions, see Common parameters for nppiResize planar pixel functions.

NppStatus nppiResize_8u_P4R | ( | const Npp8u * | pSrc[4],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp8u * | pDst[4],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation
| ) |  |

NppStatus nppiResize_8u_P4R_Ctx | ( | const Npp8u * | pSrc[4],
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiRect | oSrcRectROI,
|  | Npp8u * | pDst[4],
|  | int | nDstStep,
|  | NppiSize | oDstSize,
|  | NppiRect | oDstRectROI,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned planar image resize.

For common parameter descriptions, see Common parameters for nppiResize planar pixel functions.

Copyright © 2009-2020 NVIDIA Corporation